---
title: '`glab orbit remote dsl`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Show the GitLab Knowledge Graph query DSL JSON Schema. (EXPERIMENTAL)

## Synopsis

Calls `GET /api/v4/orbit/schema/dsl` and prints the query DSL
JSON Schema. This is the source of truth for the query body shape.

This feature is an experiment and is not ready for production use.
It might be unstable or removed at any time.
For more information, see
<https://docs.gitlab.com/policy/development_stages_support/>.

```plaintext
glab orbit remote dsl [flags]
```

## Examples

```console
$ glab orbit remote dsl

```

## Options

```plaintext
      --hostname gitlab.com   GitLab hostname to query. Defaults to the current repository's host or gitlab.com.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
